using Godot;
using Godot.NativeInterop;
using System;
using System.Collections.Generic;
using System.Linq;

public partial class Phone : Sprite2D
{
    public bool _running = false;
    public Player _player;
    public CallButton _callButton;
    public RichTextLabel _debug;
    public override void _Ready()
    {
        _debug = GetNode<RichTextLabel>("Debug");
        _callButton = GetNode<CallButton>("CallButton");
        _callButton._phone = this;
    }

    public override void _Process(double DELTA_)
	{
        // _hoveredButton = _phoneButtons.FirstOrDefault(c => c._isHovered, null);
    }

    // public void CallLoadedContact()
    // {
    //     _loadedContact.CallAction();
    //     ResetContact();
    // }

    // public void LoadContact(Contact CONTACT)
    // {
    //     _loadedContact = CONTACT;
    //     _debug.Text = _loadedContact.GetType().ToString();
    // }

    public virtual void HangUp()
    {
        _running = false;

    }

    public void PassPlayer(Player PLAYER)
    {
        _player = PLAYER;
    }

    public void ResetContact()
    {
        // _loadedContact = null;
        // _debug.Text = "";
    }

    public virtual void Begin()
    {
        _running = true;
    }
}
